Subject: Re: bug#16179: 24.3.50; darwin: ls-lisp-use-insert-directory-program=nil => bad formatting

From: Sam Steingold <[email-masked]>
Date: Tue, 17 Dec 2013 15:37:58 -0500

On Tue, Dec 17, 2013 at 2:48 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Tue, 17 Dec 2013 14:25:41 -0500
>> From: Sam Steingold <[email-masked]>
>> Cc: [email-masked]
>>
>> > This is obviously data-dependent, so please show the data and the
>> > screenshot of bad display.
>>
>> here you go.
>
> In that Dired buffer, what are the values of ls-lisp-filesize-d-fmt
> and ls-lisp-filesize-f-fmt?  I suspect they are " %2d" and " %2.0f"
> respectively.

indeed.

> If that is so, please step through
> ls-lisp-insert-directory in a debugger and see why it doesn't account
> for file sizes that have more than 2 digits in them.

the `(memq ?s switches)' branch is taken.

> Did you invoke Dired with some non-default switches, btw, as in
> "C-u C-x d"?

I customize dired-listing-switches to "-als".
the "s" caused the problem.

> Also, does the problem happen in "emacs -Q"?

I don't know how do do this under mac os x.
sorry.

-- 
Sam Steingold <http://sds.podval.org> <http://www.childpsy.net/>